Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nextapp.echo2.app.event
Class TableModelEvent

    java.lang.Object
      java.util.EventObject
          nextapp.echo2.app.event.TableModelEvent

All Implemented Interfaces:
  java.io.Serializable

    public class TableModelEvent

extends java.util.EventObject

An event describing a change to a `TableModel`.

See Also:
  Serialized Form

Field Summary
`static int` | `ALL_COLUMNS` A value for `column` parameters indicating that all columns of the table were affected by the change.
`static int` | `DELETE` An event type indicating one or more table rows were deleted.
`static int` | `HEADER_ROW` A value row-describing parameters/properties, (i.e., `row`, `firstRow`, and `lastRow`) indicating the table header was affected.
`static int` | `INSERT` An event type indicating one or more table rows were inserted.
`static int` | `STRUCTURE_CHANGED` An event type indicating the table structure was modified.
`static int` | `UPDATE` An event type indicating one or more table rows were updated.

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`TableModelEvent(TableModel source)` Creates a `TableModelEvent` describing a change to any or all rows of a table.
`TableModelEvent(TableModel source, int row)` Creates a `TableModel`Event indicating a change to any or all columns of a single table row.
`TableModelEvent(TableModel source, int firstRow, int lastRow)` Creates a `TableModel`Event indicating a change to any or all columns of an interval of table rows.
`TableModelEvent(TableModel source, int column, int firstRow, int lastRow)` Creates a `TableModelEvent` indicating a change to a particular column of a single table row or an interval of table rows.
`TableModelEvent(TableModel source, int column, int firstRow, int lastRow, int type)` Primary constructor for creating `TableModelEvent`s.

Method Summary
`int` | `getColumn()` Returns the column that was affected by the update.
`int` | `getFirstRow()` Returns the first row that was affected by the update.
`int` | `getLastRow()` Returns the last row that was affected by the update.
`int` | `getType()` Returns the type of update that occurred.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALL_COLUMNS

    public static final int ALL_COLUMNS

  A value for `column` parameters indicating that all columns of the table were affected by the change.

  See Also:
    Constant Field Values

### HEADER_ROW

    public static final int HEADER_ROW

  A value row-describing parameters/properties, (i.e., `row`, `firstRow`, and `lastRow`) indicating the table header was affected.

  See Also:
    Constant Field Values

### DELETE

    public static final int DELETE

  An event type indicating one or more table rows were deleted.

  See Also:
    Constant Field Values

### INSERT

    public static final int INSERT

  An event type indicating one or more table rows were inserted.

  See Also:
    Constant Field Values

### UPDATE

    public static final int UPDATE

  An event type indicating one or more table rows were updated.

  See Also:
    Constant Field Values

### STRUCTURE_CHANGED

    public static final int STRUCTURE_CHANGED

  An event type indicating the table structure was modified.

  See Also:
    Constant Field Values

Constructor Detail

### TableModelEvent

    public TableModelEvent(TableModel source)

  Creates a `TableModelEvent` describing a change to any or all rows of a table.

  Parameters:
    `source` - the changed `TableModel`

### TableModelEvent

    public TableModelEvent(TableModel source,
                           int row)

  Creates a `TableModel`Event indicating a change to any or all columns of a single table row.

  Parameters:
    `source` - the changed `TableModel`
    `row` - the index of the affected row

### TableModelEvent

    public TableModelEvent(TableModel source,
                           int firstRow,
                           int lastRow)

  Creates a `TableModel`Event indicating a change to any or all columns of an interval of table rows.

  Parameters:
    `source` - the changed `TableModel`
    `firstRow` - the first table row affected by the update
    `lastRow` - the last table row affected by the update

### TableModelEvent

    public TableModelEvent(TableModel source,
                           int column,
                           int firstRow,
                           int lastRow)

  Creates a `TableModelEvent` indicating a change to a particular column of a single table row or an interval of table rows.

  Parameters:
    `source` - the changed `TableModel`
    `column` - the column that was affected by the update
    `firstRow` - the first table row affected by the update
    `lastRow` - the last table row affected by the update

### TableModelEvent

    public TableModelEvent(TableModel source,
                           int column,
                           int firstRow,
                           int lastRow,
                           int type)

  Primary constructor for creating `TableModelEvent`s. All other constructors are for convenience and must invoke this constructor.

  Parameters:
    `source` - the changed `TableModel`
    `column` - the column that was affected by the update, or `ALL_COLUMNS` if all columns were affected.
    `firstRow` - the first table row affected by the update
    `lastRow` - the last table row affected by the update
    `type` - The type of change that occurred, one of the following values:
    - STRUCTURE_CHANGED - indicates the table's structure changed.
    - DELETE - indicates one or more rows were deleted.
    - INSERT - indicates one or more rows were inserted.
    - UPDATE - indicates one or more rows were updated.

Method Detail

### getColumn

    public int getColumn()

  Returns the column that was affected by the update.

  Returns:
    the column that was affected by the update.

### getFirstRow

    public int getFirstRow()

  Returns the first row that was affected by the update.

  Returns:
    the first row that was affected by the update

### getLastRow

    public int getLastRow()

  Returns the last row that was affected by the update.

  Returns:
    the last row that was affected by the update

### getType

    public int getType()

  Returns the type of update that occurred.

  Returns:
    the type of update that occurred, one of the following values:
    - STRUCTURE_CHANGED - indicates the table's structure changed.
    - DELETE - indicates one or more rows were deleted.
    - INSERT - indicates one or more rows were inserted.
    - UPDATE - indicates one or more rows were updated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD